package com.mdd.admin.config.stp;

import cn.dev33.satoken.exception.NotLoginException;
import cn.dev33.satoken.exception.NotPermissionException;
import com.mdd.common.core.AjaxResult;
import com.mdd.common.enums.ErrorEnum;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.ResponseStatus;

@ControllerAdvice
public class StpInException {
   private static final Logger log = LoggerFactory.getLogger(StpInException.class);

   @ResponseStatus(HttpStatus.OK)
   @ExceptionHandler({NotLoginException.class})
   @ResponseBody
   public AjaxResult<Object> handleNotLoginException(NotLoginException e) {
      String msg = e.getMessage().startsWith("Token无效") ? "尚未登录,请先登录!" : e.getMessage();
      return AjaxResult.failed(ErrorEnum.TOKEN_INVALID.getCode(), msg);
   }

   @ResponseStatus(HttpStatus.OK)
   @ExceptionHandler({NotPermissionException.class})
   @ResponseBody
   public AjaxResult<Object> handleNotPermissionException() {
      return AjaxResult.failed(ErrorEnum.NO_PERMISSION.getCode(), ErrorEnum.NO_PERMISSION.getMsg());
   }
}
